
/* Switch to desktop layout
-----------------------------------------------
		These transform the menu tree from
		collapsible to desktop (navbar + dropdowns)
-----------------------------------------------*/
/* start... (it's not recommended editing these rules) */
.ezcore_sm-desktop ul {
	position: absolute;
	width: 12em;
}
.ezcore_sm-desktop a {
	white-space: nowrap;
}
.ezcore_sm-desktop ul a, .ezcore_sm-desktop.sm-vertical a {
	white-space: normal;
}
.ezcore_sm-desktop .sm-nowrap > li > a, .ezcore_sm-desktop .sm-nowrap > li > :not(ul) a {
	white-space: nowrap;
}
/* ...end */

/* Main menu */
#ezobj_tabmenu_row {
	height: auto;
	min-height: var(--ezobj_tabmenu_row-height);
}
#ezcore_sticky_wrapper1, #ezcore_sticky_wrapper2 {
	z-index: 9999;
}
.ezcore_sm-desktop {
	display: flex; 
	align-items: center; 
	justify-content: var(--ezobj_tabmenu_tabbox-justify-content);
	width: var(--ezobj_tabmenu_tabbox-width);
	border-collapse: collapse;
	padding-top: var(--ezobj_tabmenu_tabbox-padding-top);
	height: 100%;
}
.ezcore_sm-desktop > li {
	flex: var(--ezobj_tabmenu_tab_flex);
	/* removed max-width: var(--ezobj_tabmenu_tab-width); */
}
.ezcore_sm-desktop > li > a, .ezcore_sm-desktop > li > a:hover, .ezcore_sm-desktop > li > a:focus, .ezcore_sm-desktop > li > a:active, .ezcore_sm-desktop > li > a:visited, .ezcore_sm-desktop > li > a.highlighted {
	align-items: center; 
	display: var(--ezobj_tabmenu_tab-display) !important; 
	justify-content: var(--ezobj_tabmenu_tab-justify-content); 
	text-align: var(--ezobj_tabmenu_tab-justify-content);
	height: var(--ezobj_tabmenu_tab-height); 
	width: var(--ezobj_tabmenu_tab-width);
	min-width: var(--ezobj_tabmenu_tab-min-width);
	white-space: normal;
	word-break: break-word;
	background-color: var(--ezobj_tabmenu_tab-background-color);
	font-family: var(--ezobj_tabmenu-font-family);
	font-size: var(--ezobj_tabmenu-font-size);
	line-height: var(--ezobj_tabmenu-line-height);
	text-transform: var(--ezobj_tabmenu-text-transform);
	font-weight: var(--ezobj_tabmenu-font-weight);
	color: var(--ezobj_tabmenu_tab-color);
	text-decoration: none;
	background-image: var(--ezobj_tabmenu_tab-background-image);
	margin-top: var(--ezobj_tabmenu_tab-margin-top);
	padding-top: var(--ezobj_tabmenu_tab-padding-top);
}
.ezcore_sm-desktop > li > a:hover, .ezcore_sm-desktop > li > a:focus, .ezcore_sm-desktop > li > a:active, .ezcore_sm-desktop > li > a.highlighted, .ezcore_sm-desktop > li > a.current {
	background-color: var(--ezobj_tabmenu_tab-background-color__hover);
	color: var(--ezobj_tabmenu_tab-color__hover);	
	font-weight: var(--ezobj_tabmenu-font-weight__hover);
	text-decoration: none;
	background-image: var(--ezobj_tabmenu_tab-background-image__hover);
	width: var(--ezobj_tabmenu_tab-width);
	/* width: 100%; */ /* added 8/21 - inner tab was 1px short for hover effect to work perfectly */
}
.ezcore_sm-desktop > li:first-child {
	border-left: var(--ezobj_tabmenu_tab-border-left);
}
.ezcore_sm-desktop > li:not(:first-child) {
	border-left: var(--ezobj_tabmenu_tab-border-middle);
}
.ezcore_sm-desktop > li:last-child {
	border-right: var(--ezobj_tabmenu_tab-border-right);
}

/* Sub menus */
.ezcore_sm-desktop ul {
	width: var(--ezobj_tabmenu_sub-max-width);
	min-width: var(--ezobj_tabmenu_sub-min-width);
	max-width: var(--ezobj_tabmenu_sub-max-width);
  background-color: var(--ezobj_tabmenu_sub-background-color);
  box-shadow: var(--ezobj_tabmenu_sub-box-shadow);
}
.ezcore_sm-desktop ul a, .ezcore_sm-desktop ul a:hover, .ezcore_sm-desktop ul a:focus, .ezcore_sm-desktop ul a:active, .ezcore_sm-desktop ul a:visited, .ezcore_sm-desktop ul a.highlighted {
	align-items: center; 
	display: var(--ezobj_tabmenu_sub_item-display) !important; 
	justify-content: var(--ezobj_tabmenu_sub_item-justify-content); 
	text-align: var(--ezobj_tabmenu_sub_item-justify-content);
	background-color: var(--ezobj_tabmenu_sub_item-background-color);
	font-family: var(--ezobj_tabmenu_sub_item-font-family);
	font-size: var(--ezobj_tabmenu_sub_item-font-size);
	line-height: var(--ezobj_tabmenu_sub_item-line-height);
	text-transform: var(--ezobj_tabmenu_sub_item-text-transform);
	font-weight: var(--ezobj_tabmenu_sub_item-font-weight);
	color: var(--ezobj_tabmenu_sub_item-color);
	text-decoration: none;
	/* background-image: var(--ezobj_tabmenu_sub_item-background-image); */
	background-image: none;
	padding: var(--ezobj_tabmenu_sub_item-padding);
	border-left: var(--ezobj_tabmenu_sub_item-border-left);
	border-right: var(--ezobj_tabmenu_sub_item-border-right);
}
.ezcore_sm-desktop ul a:hover, .ezcore_sm-desktop ul a:focus, .ezcore_sm-desktop ul a:active, .ezcore_sm-desktop ul a.highlighted, .ezcore_sm-desktop ul a.current {
	background-color: var(--ezobj_tabmenu_sub_item-background-color__hover);
	color: var(--ezobj_tabmenu_sub_item-color__hover);	
	text-decoration: none;
	/* background-image: var(--ezobj_tabmenu_sub_item-background-image__hover); */
}
.ezcore_sm-desktop ul > li:first-child {
	border-left: 0;
	border-bottom: var(--ezobj_tabmenu_sub_item-border-middle); 
	border-top: var(--ezobj_tabmenu_sub_item-border-top);
}

.ezcore_sm-desktop ul ul li:first-child {
	border-top: var(--ezobj_tabmenu_sub_sub_item-border-top); 
}

.ezcore_sm-desktop ul > li:not(:first-child) {
	border-left: 0;
	border-bottom: var(--ezobj_tabmenu_sub_item-border-middle); 
}
.ezcore_sm-desktop ul > li:last-child {
	border-left: 0;
	border-bottom: var(--ezobj_tabmenu_sub_item-border-bottom); 
}
.ezcore_sm-desktop .scroll-up,
.ezcore_sm-desktop .scroll-down {
	position: absolute;
	display: none;
	visibility: hidden;
	overflow: hidden;
	background: var(--ezobj_tabmenu_sub-background-color);
	height: var(--ezobj_tabmenu_sub-scroll-arrow-height);
}
.ezcore_sm-desktop .scroll-up-arrow,
.ezcore_sm-desktop .scroll-down-arrow {
	position: absolute;
	top: -2px;
	left: 50%;
	margin-left: -8px;
	width: 0;
	height: 0;
	overflow: hidden;
	border-width: 8px;
	border-style: dashed dashed solid dashed;
	border-color: transparent transparent  var(--ezobj_tabmenu_sub_item-color) transparent;
}
.ezcore_sm-desktop .scroll-down-arrow {
	top: 6px;
	border-style: solid dashed dashed dashed;
	border-color: var(--ezobj_tabmenu_sub_item-color) transparent transparent transparent;
}


/* specific widths per sub-menu */
.ezcore_sm-desktop > li:nth-of-type(1) > ul {    min-width: var(--ezobj_tabmenu_sub1-min-width);    max-width: var(--ezobj_tabmenu_sub1-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(2) > ul {    min-width: var(--ezobj_tabmenu_sub2-min-width);    max-width: var(--ezobj_tabmenu_sub2-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(3) > ul {    min-width: var(--ezobj_tabmenu_sub3-min-width);    max-width: var(--ezobj_tabmenu_sub3-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(4) > ul {    min-width: var(--ezobj_tabmenu_sub4-min-width);    max-width: var(--ezobj_tabmenu_sub4-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(5) > ul {    min-width: var(--ezobj_tabmenu_sub5-min-width);    max-width: var(--ezobj_tabmenu_sub5-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(6) > ul {    min-width: var(--ezobj_tabmenu_sub6-min-width);    max-width: var(--ezobj_tabmenu_sub6-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(7) > ul {    min-width: var(--ezobj_tabmenu_sub7-min-width);    max-width: var(--ezobj_tabmenu_sub7-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(8) > ul {    min-width: var(--ezobj_tabmenu_sub8-min-width);    max-width: var(--ezobj_tabmenu_sub8-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(9) > ul {    min-width: var(--ezobj_tabmenu_sub9-min-width);    max-width: var(--ezobj_tabmenu_sub9-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(10) > ul {   min-width: var(--ezobj_tabmenu_sub10-min-width);   max-width: var(--ezobj_tabmenu_sub10-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(11) > ul {   min-width: var(--ezobj_tabmenu_sub11-min-width);   max-width: var(--ezobj_tabmenu_sub11-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(12) > ul {   min-width: var(--ezobj_tabmenu_sub12-min-width);   max-width: var(--ezobj_tabmenu_sub12-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(13) > ul {   min-width: var(--ezobj_tabmenu_sub13-min-width);   max-width: var(--ezobj_tabmenu_sub13-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(14) > ul {   min-width: var(--ezobj_tabmenu_sub14-min-width);   max-width: var(--ezobj_tabmenu_sub14-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(15) > ul {   min-width: var(--ezobj_tabmenu_sub15-min-width);   max-width: var(--ezobj_tabmenu_sub15-max-width);  }
.ezcore_sm-desktop > li:nth-of-type(16) > ul {   min-width: var(--ezobj_tabmenu_sub16-min-width);   max-width: var(--ezobj_tabmenu_sub16-max-width);  }
